package com.buy507.mall.dto;

import java.util.List;

import com.buy507.mall.model.DmsOfflinePaymentRecord;
import com.buy507.mall.model.OmsOrder;
import com.buy507.mall.model.OmsOrderItem;
import com.buy507.mall.model.OmsOrderOperateHistory;

/**
 * 订单详情信息
 */
public class OmsOrderDetail extends OmsOrder {
	
    private List<OmsOrderItem> orderItemList;
    
    private List<OmsOrderOperateHistory> historyList;
    
    DmsOfflinePaymentRecord paymentRecord;
    
    private String nickname;

	public List<OmsOrderItem> getOrderItemList() {
		return orderItemList;
	}

	public void setOrderItemList(List<OmsOrderItem> orderItemList) {
		this.orderItemList = orderItemList;
	}

	public List<OmsOrderOperateHistory> getHistoryList() {
		return historyList;
	}

	public void setHistoryList(List<OmsOrderOperateHistory> historyList) {
		this.historyList = historyList;
	}

	public DmsOfflinePaymentRecord getPaymentRecord() {
		return paymentRecord;
	}

	public void setPaymentRecord(DmsOfflinePaymentRecord paymentRecord) {
		this.paymentRecord = paymentRecord;
	}

	public String getNickname() {
		return nickname;
	}

	public void setNickname(String nickname) {
		this.nickname = nickname;
	}
    
}
